/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.fabric3.fabric.implementation.processor;

import org.fabric3.pojo.processor.ProcessingException;

/**
 * Thrown when more than one component implementation constructor is annotated with {@link
 * org.osoa.sca.annotations.Constructor}
 *
 * @version $Rev: 284 $ $Date: 2007-06-26 06:59:35 +0100 (Tue, 26 Jun 2007) $
 */
public class DuplicateConstructorException extends ProcessingException {

    public DuplicateConstructorException(String message) {
        super(message);
    }

    public DuplicateConstructorException(String message, String identifier) {
        super(message, identifier);
    }
}
