/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.services.messaging;

import javax.xml.stream.XMLStreamReader;

import org.fabric3.extension.messaging.AbstractMessagingService;
import org.fabric3.spi.services.messaging.MessagingException;

/**
 * A messaging service implementation fr a single node runtime
 *
 * @version $Rev: 253 $ $Date: 2007-06-21 00:38:55 +0100 (Thu, 21 Jun 2007) $
 */
public class NullMessagingService extends AbstractMessagingService {

    public void sendMessage(String runtimeId, XMLStreamReader content) throws MessagingException {
    }

    public Object getMessageDestination() {
        return null;
    }

}
